## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 27;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

%global _description %{expand:
The library implements the Trie data structure. The trie variable is a
dict-like object that can have Unicode keys of certain ranges and Python
objects as values.

In addition to implementing the mapping interface, the library tries to
facilitate finding the items for a given prefix, and vice versa, finding the
items whose keys are prefixes of a given string. As a common special case,
finding the longest-prefix item is also supported.}

Name:           python-datrie
Version:        0.8.2
Release:        %autorelease
Summary:        Super-fast, efficiently stored Trie for Python

License:        LGPL-2.1-or-later
URL:            https://github.com/pytries/datrie
Source:         %{pypi_source datrie}
# BUGFIX: Decode string based on byteorder of system
# https://github.com/pytries/datrie/pull/85
#
# Fixes:
#
# UnicodeDecodeError: 'utf32' codec can't decode bytes in position 0-3: code
# point not in range(0x110000)
# https://github.com/pytries/datrie/issues/38
Patch:          %{url}/pull/85.patch
# Fix AlphaMap definition in cdatrie.pxd
# Fixes failure to compile on GCC with -Werror=incompatible-pointer-types.
# https://github.com/pytries/datrie/pull/99
#
# Fixes:
#
# python-datrie: FTBFS in Fedora rawhide/f40
# https://bugzilla.redhat.com/show_bug.cgi?id=2261554
Patch:          %{url}/pull/99.patch

BuildRequires:  python3-devel

BuildRequires:  gcc-c++
BuildRequires:  libdatrie

%description %_description

%package -n python3-datrie
Summary:        %{summary}

%description -n python3-datrie %_description

%prep
%autosetup -p1 -n datrie-%{version}

# use system's libdatrie
sed -r -i -e 's@\.\./libdatrie/@@g' src/cdatrie.pxd

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l datrie

%check
%if %{with tests}
%tox
%endif

%files -n python3-datrie -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.8.2-26
- Rebuilt for Python 3.13

* Thu Feb 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-25
- Fix incompatible pointer types (fix RHBZ#2261554)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-22
- Assert that a license file is present in the .dist-info directory

* Wed Oct 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-21
- Convert License to SPDX

* Wed Oct 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-20
- Port to pyproject-rpm-macros

* Wed Oct 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-19
- Better reference upstream PR from the corresponding patch

* Tue Oct 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-15
- Stop using the deprecated zero-argument form of %%pypi_source

* Tue Oct 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-12
- Use new (rpm 4.17.1+) bcond style

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.8.2-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.8.2-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.8.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 21 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 0.8.2-1
- Initial build

## END: Generated by rpmautospec
